1

When I type update50 into the terminal it immediately tells me my permissions are denied and then it says it's updated, but all those errors can't be right.

I think it has something to do with my virtual machine not asking me to log in when I first ran it. How can I get this properly updated? The output is below.

DO NOT CLOSE THIS WINDOW OR PUT YOUR COMPUTER TO SLEEP <3

/usr/bin/update50: line 10: /var/log/appliance50.log: Permission
denied Updating sources... Ign http://dl.google.com stable InRelease
Ign http://security.ubuntu.com trusty-security InRelease Ign
http://us.archive.ubuntu.com trusty InRelease Get:1
http://security.ubuntu.com trusty-security Release.gpg [933 B] Hit
http://dl.google.com stable Release.gpg Ign
http://us.archive.ubuntu.com trusty-updates InRelease Get:2
http://security.ubuntu.com trusty-security Release [62.0 kB] Hit
http://dl.google.com stable Release Ign http://us.archive.ubuntu.com
trusty-backports InRelease Hit http://mirror.cs50.net  InRelease Hit
http://us.archive.ubuntu.com trusty Release.gpg Get:3
http://us.archive.ubuntu.com trusty-updates Release.gpg [933 B] Hit
http://dl.google.com stable/main i386 Packages Get:4
http://us.archive.ubuntu.com trusty-backports Release.gpg [933 B] Hit
http://mirror.cs50.net  Packages Ign http://linux.dropbox.com trusty
InRelease Hit http://us.archive.ubuntu.com trusty Release Get:5
http://security.ubuntu.com trusty-security/main Sources [59.3 kB]
Get:6 http://us.archive.ubuntu.com trusty-updates Release [62.0 kB]
Hit http://linux.dropbox.com trusty Release.gpg Get:7
http://security.ubuntu.com trusty-security/restricted Sources [2061 B]
Get:8 http://us.archive.ubuntu.com trusty-backports Release [62.0 kB]
Hit http://linux.dropbox.com trusty Release Get:9
http://security.ubuntu.com trusty-security/universe Sources [17.4 kB]
Ign http://dl.google.com stable/main Translation-en Get:10
http://security.ubuntu.com trusty-security/multiverse Sources [719 B]
Get:11 http://security.ubuntu.com trusty-security/main i386 Packages
[178 kB] Hit http://us.archive.ubuntu.com trusty/main Sources Hit
http://linux.dropbox.com trusty/main amd64 Packages Hit
http://us.archive.ubuntu.com trusty/restricted Sources Ign
http://mirror.cs50.net  Translation-en Hit
http://us.archive.ubuntu.com trusty/universe Sources Hit
http://linux.dropbox.com trusty/main i386 Packages Hit
http://us.archive.ubuntu.com trusty/multiverse Sources Hit
http://us.archive.ubuntu.com trusty/main i386 Packages Get:12
http://security.ubuntu.com trusty-security/restricted i386 Packages
[8846 B] Hit http://us.archive.ubuntu.com trusty/restricted i386
Packages Hit http://us.archive.ubuntu.com trusty/universe i386
Packages Get:13 http://security.ubuntu.com trusty-security/universe
i386 Packages [82.2 kB] Hit http://us.archive.ubuntu.com
trusty/multiverse i386 Packages Hit http://us.archive.ubuntu.com
trusty/main Translation-en Hit http://us.archive.ubuntu.com
trusty/multiverse Translation-en Get:14 http://security.ubuntu.com
trusty-security/multiverse i386 Packages [1409 B] Hit
http://security.ubuntu.com trusty-security/main Translation-en Hit
http://us.archive.ubuntu.com trusty/restricted Translation-en Hit
http://security.ubuntu.com trusty-security/multiverse Translation-en
Hit http://us.archive.ubuntu.com trusty/universe Translation-en Hit
http://security.ubuntu.com trusty-security/restricted Translation-en
Get:15 http://us.archive.ubuntu.com trusty-updates/main Sources [152
kB] Hit http://security.ubuntu.com trusty-security/universe
Translation-en Ign http://linux.dropbox.com trusty/main Translation-en
Get:16 http://us.archive.ubuntu.com trusty-updates/restricted Sources
[2061 B] Get:17 http://us.archive.ubuntu.com trusty-updates/universe
Sources [96.5 kB] Get:18 http://us.archive.ubuntu.com
trusty-updates/multiverse Sources [3543 B] Get:19
http://us.archive.ubuntu.com trusty-updates/main i386 Packages [384
kB] Get:20 http://us.archive.ubuntu.com trusty-updates/restricted i386
Packages [8846 B] Get:21 http://us.archive.ubuntu.com
trusty-updates/universe i386 Packages [237 kB] Get:22
http://us.archive.ubuntu.com trusty-updates/multiverse i386 Packages
[9553 B] Hit http://us.archive.ubuntu.com trusty-updates/main
Translation-en Hit http://us.archive.ubuntu.com
trusty-updates/multiverse Translation-en Hit
http://us.archive.ubuntu.com trusty-updates/restricted Translation-en
Hit http://us.archive.ubuntu.com trusty-updates/universe
Translation-en Get:23 http://us.archive.ubuntu.com
trusty-backports/main Sources [4451 B] Get:24
http://us.archive.ubuntu.com trusty-backports/restricted Sources [28
B] Get:25 http://us.archive.ubuntu.com trusty-backports/universe
Sources [19.6 kB] Get:26 http://us.archive.ubuntu.com
trusty-backports/multiverse Sources [1898 B] Get:27
http://us.archive.ubuntu.com trusty-backports/main i386 Packages [5176
B] Get:28 http://us.archive.ubuntu.com trusty-backports/restricted
i386 Packages [28 B] Get:29 http://us.archive.ubuntu.com
trusty-backports/universe i386 Packages [24.0 kB] Get:30
http://us.archive.ubuntu.com trusty-backports/multiverse i386 Packages
[1249 B] Hit http://us.archive.ubuntu.com trusty-backports/main
Translation-en Hit http://us.archive.ubuntu.com
trusty-backports/multiverse Translation-en Hit
http://us.archive.ubuntu.com trusty-backports/restricted
Translation-en Hit http://us.archive.ubuntu.com
trusty-backports/universe Translation-en Fetched 1488 kB in 5s (252
kB/s) Reading package lists... Reinstalling appliance package...
Reading package lists... Building dependency tree... Reading state
information... The following packages were automatically installed and
are no longer required:   apt-clone archdetect-deb cifs-utils dmraid
dpkg-repack firefox-locale-en   gir1.2-appindicator3-0.1
gir1.2-json-1.0 gir1.2-timezonemap-1.0   gir1.2-xkl-1.0 kpartx
kpartx-boot libdebian-installer4   libdevmapper-event1.02.1
libdmraid1.0.0.rc16 libtimezonemap1   localechooser-data lvm2
python3-icu python3-pam rdate watershed Use 'apt-get autoremove' to
remove them. 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove
and 0 not upgraded. 3 not fully installed or removed. After this
operation, 0 B of additional disk space will be used. E: Internal
Error, No file name for appliance50:i386 Upgrading packages... Reading
package lists... Building dependency tree... Reading state
information... The following packages were automatically installed and
are no longer required:   apt-clone archdetect-deb cifs-utils dmraid
dpkg-repack firefox-locale-en   gir1.2-appindicator3-0.1
gir1.2-json-1.0 gir1.2-timezonemap-1.0   gir1.2-xkl-1.0 kpartx
kpartx-boot libdebian-installer4   libdevmapper-event1.02.1
libdmraid1.0.0.rc16 libtimezonemap1   localechooser-data lvm2
python3-icu python3-pam rdate watershed Use 'apt-get autoremove' to
remove them. 0 upgraded, 0 newly installed, 0 to remove and 0 not
upgraded. 3 not fully installed or removed. After this operation, 0 B
of additional disk space will be used. Setting up mysql-server-5.5
(5.5.40-0ubuntu0.14.04.1) ... start: Job failed to start invoke-rc.d:
initscript mysql, action "start" failed. dpkg: error processing
package mysql-server-5.5 (--configure):  subprocess installed
post-installation script returned error exit status 1 dpkg: dependency
problems prevent configuration of mysql-server:  mysql-server depends
on mysql-server-5.5; however:   Package mysql-server-5.5 is not
configured yet.

dpkg: error processing package mysql-server (--configure):  dependency
problems - leaving unconfigured dpkg: dependency problems prevent
configuration of appliance50:  appliance50 depends on mysql-server;
however:   Package mysql-server is not configured yet.

dpkg: error processing package appliance50 (--configure):  dependency
problems - leaving unconfigured Errors were encountered while
processing:  mysql-server-5.5  mysql-server  appliance50 E:
Sub-process /usr/bin/dpkg returned an error code (1) Reinstalling
appliance package again... Reading package lists... Building
dependency tree... Reading state information... The following packages
were automatically installed and are no longer required:   apt-clone
archdetect-deb cifs-utils dmraid dpkg-repack firefox-locale-en  
gir1.2-appindicator3-0.1 gir1.2-json-1.0 gir1.2-timezonemap-1.0  
gir1.2-xkl-1.0 kpartx kpartx-boot libdebian-installer4  
libdevmapper-event1.02.1 libdmraid1.0.0.rc16 libtimezonemap1  
localechooser-data lvm2 python3-icu python3-pam rdate watershed Use
'apt-get autoremove' to remove them. 0 upgraded, 0 newly installed, 1
reinstalled, 0 to remove and 0 not upgraded. 3 not fully installed or
removed. After this operation, 0 B of additional disk space will be
used. E: Internal Error, No file name for appliance50:i386 Update
complete!
7
  • Which version of applicance are you tring to install? appliance50-2014-vmware.ova is the one we should use. I am using VMware Fusion 7 Pro on Mac everything goes fine.
    – XYZ
    Commented Jan 8, 2015 at 3:21
  • I deleted the old version 19 and downloaded the 2014 version. I'm running vmware fusion 11 on windows 7 64bit. The old version ran just fine on my system. I'm really sad that I'm having these issues.
    – Michael F
    Commented Jan 8, 2015 at 3:32
  • Problem still unsolved? Try to post the problem on reddit.
    – XYZ
    Commented Jan 8, 2015 at 3:34
  • reddit link: (reddit.com/r/cs50)
    – XYZ
    Commented Jan 8, 2015 at 3:42
  • Hi, i am using WMware Player 6.0.3 in windows 7 64-bit, and it works fine for me, give it a try.
    – wallek876
    Commented Jan 8, 2015 at 16:04

1 Answer 1

0

VMware 6.0.3 ran appliance50-2014-vmware.ova and allowed me to use update50 without any trouble. For some reason, VMware Fusion 11 was not functioning properly on my computer (running Windows 7).

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .